petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSComputeCostIntegrand

Evaluates the integral function in the cost functions.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeCostIntegrand(TS ts,PetscReal t,Vec y,Vec q)

### Input Parameters

| ts | - the TS context
| t | - current time
| y | - state vector, i.e. current solution

### Output Parameter

q -vector of size numcost to hold the outputs

### Note

Most users should not need to explicitly call this routine, as it is used internally within the sensitivity analysis context.

### Keywords

TS, compute

### See Also

TSSetCostIntegrand()

### Level

developer

### Location

src/ts/interface/sensitivity/tssen.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages